/*
 * This code is released under the Microsoft Public License (MS-PL). See License.txt, below.
 */
#pragma once
#include "enum.h"
#include "forwardDeclaration.h"

BYTE getbyte(
	LPBYTE ptr
	);

WORD getword(
	LPBYTE ptr
	);

DWORD getlong(
	LPBYTE ptr
	);

_int64 getlonglong(
	LPBYTE ptr
	);

DWORD getFilesize(
	FILE *fp
	);

DWORD getBitCount(
	DWORD n
	);

void GetType(
	LPBYTE buf,
	DWORD size,
	DWORD i,
	PINTERNAL_MUSIC im,
	PEXEC_TYPE pExecType
	);

BOOL GetDataOfs(
	LPBYTE buf, 
	DWORD size,
	DWORD startIdx,
	DWORD maxSearchFileNum,
	BOOL bSkip,
	PINTERNAL_MUSIC im,
	PEXEC_TYPE pExecType
	);
